Update contact

Use this method to update a contact of a processing account. To update a contact, you need its contactId. Our gateway returned the contactId in the response of the [Create Processing Account](https://docs.payroc.com/api/schema/boarding/merchant-platforms/create-processing-account) method. **Note:** If you don't have the contactId, use our [List Contacts](https://docs.payroc.com/api/schema/boarding/processing-accounts/list-contacts) method to search for the contact. You can update the following details about a contact: - First name and last name. - Contact details, including their phone number or mobile number. - Identification details, including their identification type and number. - Role within the business, for example, if they are a manager.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

contactIdintegerRequired
Unique identifier for the contact.

Request

This endpoint expects an object.
typeenumRequired
Type of contact.
Allowed values:
firstNamestringRequired<=50 characters
Contact's first name.
lastNamestringRequired<=50 characters
Contact's last name.
identifierslist of objectsRequired
Array of identifier objects.
contactMethodslist of objectsRequired

Array of polymorphic objects, which contain contact information.

Note: If you are adding information about an owner, you must provide at least an email address. If you are adding information about a contact, you must provide at least a contact number.

The value of the type parameter determines which variant you should use:

  • email - Email address
  • phone - Phone number
  • mobile - Mobile number
  • fax - Fax number
middleNamestringOptional<=50 characters
Contact's middle name.

Response

Successful request. We updated the contact.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error